## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global desc %{expand: \
Numpoly is a generic library for creating, manipulating and evaluating arrays
of polynomials.}

Name:       python-numpoly
Version:    1.2.7
Release:    %autorelease
Summary:    Polynomials as a numpy datatype
# spdx
License:    BSD-2-Clause
URL:        https://github.com/jonathf/numpoly

# Use the github source to build this package.
Source0:    %{url}/archive/v%{version}/numpoly-%{version}.tar.gz
BuildArch:  noarch
# Tests fail on 32 bit arches.
# Only chaospy depends on it, and chaospy does not support 32 bit arches.
# So also dropping them here.
ExcludeArch:    %{ix86} %{arm32}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
# extra dev dep for tests, do not include all the linters etc.
BuildRequires:  python3dist(sympy)

%description
%{desc}

%package -n     python3-numpoly
Summary:        %{summary}

%description -n python3-numpoly
%{desc}

%prep
%autosetup -n numpoly-%{version}

%generate_buildrequires
%pyproject_buildrequires -x dev-dependencies

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files numpoly

%check
%{pytest} test

%files -n python3-numpoly -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri May 19 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.2.7-2
- feat: drop 32bit support

* Thu May 18 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.2.7-1
- feat: update to 1.2.7 (fixes rhbz#2143313)

* Thu May 18 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.2.3-9
- feat: use spdx identifier

* Thu May 18 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.2.3-8
- feat: clean up spec

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.2.3-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.3-1
- Update to latest release

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.1.3-2
- Rebuilt for Python 3.10

* Wed Apr 07 2021 Luis Bazan <lbazan@fedoraproject.org> - 1.1.3-1
- New upstream version

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 05 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.1.1-1
- Update to latest release

* Sun Nov 29 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.1.0-1
- Update to latest release
- Enable tests

* Sat Aug 08 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.0.6-1
- New upstream version

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.0.3-1
- New upstream version

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.3-2
- Rebuilt for Python 3.9

* Wed May 13 2020 Luis Bazan <lbazan@fedoraproject.org> - 0.2.3-2
- New upstream version

* Wed Apr 22 2020 Luis Bazan <lbazan@fedoraproject.org> - 0.1.16-2
- Fix comments in BZ1808552

* Wed Apr 22 2020 Luis Bazan <lbazan@fedoraproject.org> - 0.1.16-1
- Initial Import

